Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 281427 - Stabilization of GNOME-2.26
Summary: Stabilization of GNOME-2.26
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GNOME (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords: STABLEREQ
: 277502 278179 283878 287365 287366 287524 287928 (view as bug list)
Depends on: 262270 271976 277947 279391 279511 280814 280946 282177 284088 284661 284742 285586 287380 288324 289348 289354 289361 289372 298454
Blocks: gnome2.26 278625 281827 282275 288240 289179 glibc-2.10-stable 302468
  Show dependency tree
 
Reported: 2009-08-14 02:41 UTC by Mart Raudsepp
Modified: 2015-01-05 18:13 UTC (History)
15 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Preliminary stabilization list with comments (preliminary.list,15.91 KB, text/plain)
2009-08-14 02:45 UTC, Mart Raudsepp
Details
preliminary.list.eva-comments.patch (preliminary.list.eva-comments.patch,10.96 KB, patch)
2009-08-20 20:33 UTC, Gilles Dartiguelongue
Details | Diff
Patch which updates few versions (preliminary.list.mrpouet-updates.patch,3.40 KB, patch)
2009-08-31 21:06 UTC, Romain Perier (RETIRED)
Details | Diff
Tiny update (preliminary.list.mrpouet-updates-2.patch,1.03 KB, patch)
2009-09-09 12:57 UTC, Romain Perier (RETIRED)
Details | Diff
Almost final stabilization list (almost-final.list,12.17 KB, text/plain)
2009-10-02 05:15 UTC, Mart Raudsepp
Details
Final GNOME-2.26 stabilization list (final.list,12.70 KB, text/plain)
2009-10-05 04:22 UTC, Mart Raudsepp
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mart Raudsepp gentoo-dev 2009-08-14 02:41:29 UTC
This bug is for tracking the actual stabilization of GNOME-2.26. Preliminary stabilization list follows for review by other GNOME team members and for others.
Comment 1 Mart Raudsepp gentoo-dev 2009-08-14 02:45:52 UTC
Created attachment 201195 [details]
Preliminary stabilization list with comments

This is a preliminary full stabilization list.
It contains a sizeable number of "SHOWSTOPPER" markup, mostly applied to various stabilization visibility issues we need to think about how to solve.
Please review these, and the other comments, and the versions picked for the core libraries (newest glib, pango and gtk+ fine?).
After we solve the problems marked as SHOWSTOPPER, we should be able to start thinking about CCing arches.
Comment 2 Mart Raudsepp gentoo-dev 2009-08-14 02:50:12 UTC
Added "some" STABLEREQ bugs as dependencies that should get fixed (stabilized) before GNOME-2.26.
Comment 3 Mart Raudsepp gentoo-dev 2009-08-14 02:58:01 UTC
The preliminary.list is best looked outside of browser in a text editor that has tab width set to 4 spaces.
I think we should also certainly (try to) fix bugs 260827 and 266398 before stabilization. I'd find 269318 very annoying for myself also.
Comment 4 Dustin Polke 2009-08-14 13:44:19 UTC
gedit-2.26.3 fails tests. Patch is available in bug 262325
Comment 5 Jory A. Pratt gentoo-dev 2009-08-20 15:13:27 UTC
firefox-3.5.2-r1 is going stable, this branch of firefox depends on xulrunner-1.9.1.2 which will cause breakage in stable for packages like epiphany. We are trying to close up security bugs and have many bug fixes that will not be backported to the 3.0.x branch of firefox.
Comment 6 Gilles Dartiguelongue gentoo-dev 2009-08-20 20:33:48 UTC
Created attachment 201810 [details, diff]
preliminary.list.eva-comments.patch
Comment 7 Romain Perier (RETIRED) gentoo-dev 2009-08-28 16:32:39 UTC
Please now considere gnome-terminal-2.26.3.1-r1 for stabilization, see bug 269318
Comment 8 Thorsten Vollmer 2009-08-31 14:43:50 UTC
Anjuta-2.24 will suffer from bug 270790 when GTK+-2.16 is stabilized. Anjuta-2.24 is not yet stable on most architectures, but there is a request for stabilization in bug 268359. You may want to withdraw that request, or stabilize Anjuta-2.26 instead.
Comment 9 Gilles Dartiguelongue gentoo-dev 2009-08-31 19:41:37 UTC
we should add >=nautilus-open-terminal-0.16 to that list too
Comment 10 Romain Perier (RETIRED) gentoo-dev 2009-08-31 21:06:39 UTC
Created attachment 202824 [details, diff]
Patch which updates few versions
Comment 11 Pacho Ramos gentoo-dev 2009-09-03 16:18:38 UTC
About consolekit stabilization I sent bug 278181 some time ago, I am using this set without problems:
sys-auth/pambase-20090515
sys-auth/consolekit-0.3.0-r1
gnome-extra/policykit-gnome-0.9.2-r1
sys-auth/policykit-0.9-r1

I can send a stable bug report for pambase and policykit if you want

About gnome-games, maybe bug 271976 should block this one (I have enough bugzilla permissions but let you to allow me to do that)

About gnome-settings-daemon/pulseaudio issue take care that it depends on libtool-2 stabilization (bug 257399) as said in http://bugs.gentoo.org/show_bug.cgi?id=281342#c9

About gvfs/bluez problem, I think that he is referring to bluez-4 stabilization: bug 250909 tracks bugs related with transition to new bluez, I posted some comments on it with updated information about packages missing migration. Also, I think that some old packages should be masked for removal. About updated documentation for bluez-4... it's harder as I don't know much about bluetooth (I got my bluetooth working simply following current guide for bluez-utils-3*, and haven't tried to update to bluez-4 yet)

About gnome-panel/networkmanager, I have no problem with nm-0.7, I simply didn't sent any stabilization request because I was waiting for policykit-0.9 to be stabilized also (I would stabilize 0.7.1-r6, but its maintainers will know better)

About brasero/nautilus-cd-burner... I though that in gnome-2.26 no app was still depending on nautilus-cd-burner :-/
Comment 12 Mart Raudsepp gentoo-dev 2009-09-03 21:46:43 UTC
policykit and policykit-gnome have an OK from the maintainer (dang) to be stabilized together with GNOME-2.26, so that's ok, but you seem to mention that those in turn will need some other things stable as well out of our control? (CK?)
Comment 13 Pacho Ramos gentoo-dev 2009-09-03 22:28:34 UTC
In theory policykit should work with ck-0.2 and 0.3 (but I haven't tested it with ck-0.2) but latest gdm requires ck-0.3 because of newer pambase
Comment 14 Mart Raudsepp gentoo-dev 2009-09-04 21:01:29 UTC
We are not stabilizing gdm-2.26
Comment 15 Pacho Ramos gentoo-dev 2009-09-04 21:27:21 UTC
(In reply to comment #14)
> We are not stabilizing gdm-2.26
> 

I know, I meant 2.10.10-r2, sorry for misexplaining it
Comment 16 Romain Perier (RETIRED) gentoo-dev 2009-09-09 12:57:53 UTC
Created attachment 203584 [details, diff]
Tiny update
Comment 17 Gilles Dartiguelongue gentoo-dev 2009-09-10 23:43:06 UTC
*** Bug 283878 has been marked as a duplicate of this bug. ***
Comment 18 Nirbheek Chauhan (RETIRED) gentoo-dev 2009-09-11 15:54:47 UTC
One more update: x11-terms/gnome-terminal-2.26.3-r2 (moved from -r1 with fix for bug 268846)
Comment 19 Pacho Ramos gentoo-dev 2009-09-14 16:17:50 UTC
*** Bug 278179 has been marked as a duplicate of this bug. ***
Comment 20 Mart Raudsepp gentoo-dev 2009-10-02 05:15:43 UTC
Created attachment 205811 [details]
Almost final stabilization list

This is an almost final stabilization list, based on which I'll let the LiveDVD guys see if we can get things included in the last days or not.

What is still missing for sending it off to arch teams:

* Writing of a GLEP-42 news item, with casual user friendly wording, for seeing the upgrade guide for potential problems about the menu handling changes (XDG_MENU_PREFIX), nautilus restart loop problem if it doesn't handle the desktop, and so on
* Figuring out what is to be done to get anjuta-2.26 stable too. 2.22 doesn't really work anymore...
* Adding any other missing things to the list (accerciser, gnome-open-terminal, ...)
* Fixing some remaining bugs - at least gedit tests and gnome-desktop libXrandr stuff has patches and easy to do, worth fixing quickly first.

ETA on all that is Friday (today) evening/early night from my end, help on the news item and committing fixes to gedit tests/gnome-desktop+randr very much appreciated!!
Comment 21 Gilles Dartiguelongue gentoo-dev 2009-10-02 15:25:48 UTC
*** Bug 287366 has been marked as a duplicate of this bug. ***
Comment 22 Gilles Dartiguelongue gentoo-dev 2009-10-02 15:25:55 UTC
*** Bug 287365 has been marked as a duplicate of this bug. ***
Comment 23 Olivier Crete (RETIRED) gentoo-dev 2009-10-04 21:41:49 UTC
We probably want to add app-crypt/seahorse-plugins too
Comment 24 Mart Raudsepp gentoo-dev 2009-10-05 01:06:45 UTC
*** Bug 287524 has been marked as a duplicate of this bug. ***
Comment 25 Mart Raudsepp gentoo-dev 2009-10-05 04:22:56 UTC
Created attachment 206056 [details]
Final GNOME-2.26 stabilization list

This is the final list as far as I'm concerned. Updated gnome-mag for the translation updates released, added two XFCE4 packages that are needed to work with libxklavier-4.0, added accerciser and nautilus-open-terminal (should we go with early 0.17 instead of 0.16?), and some more fiddling.
anjuta-2.26 can wait for a little while longer, and we can follow-up with that soon after in a separate bug. The basics of anjuta-2.2 seem to work fine on GNOME-2.26 in my stable+GNOME-2.26 x86 chroot - no issues hovering around menus, etc. For anjuta-2.26 we need devhelp-0.23 or porting of devhelp plugin to work with either gecko or webkit-gtk based devhelp (shouldn't be hard). For devhelp-0.23 to go stable, I first want a more secure webkit-gtk stable, which involves libsoup-2.28 and webkit-gtk-1.1.15.1 in the main tree and stabled for security@.

Going to write a glep 42 news item for gentoo-dev review after a nap, have it be reviewed while day-job working and then go with this list to arches, possibly first fixing gedit tests bug and gnome-desktop randr mixup bug, if not already fixed by then. Help with any of that most welcome, especially the news thing still....
Comment 26 Mart Raudsepp gentoo-dev 2009-10-07 14:46:16 UTC
Hello arches, please stabilize what you see listed with your arch in it in the previously attached final.list file. Best seen outside browser with a tab size of four spaces. You probably need to take care of all the dependent bugs that are stabilization bugs first.

I'll try to make per-arch lists at some point later, probably after at least x86/amd64 (that have almost all of the listed ones to do anyway) have been stabled.

The last item to look at it is accerciser, but feel free to look at the comments afterwards for open keywording issues if you are sparc, m68k or s390 arch team member. m68k and s390 aren't CC'ed though, as they only have xkeyboard-config, which is covered by another STABLEREQ bug too.
Comment 27 Mart Raudsepp gentoo-dev 2009-10-07 16:29:16 UTC
*** Bug 287928 has been marked as a duplicate of this bug. ***
Comment 28 Olivier Crete (RETIRED) gentoo-dev 2009-10-08 03:33:45 UTC
amd64 ..... DONE!

You also want to do 
=gnome-extra/deskbar-applet-2.26.2-r1
Opening the preferences dialog crashes with the previous one...
Comment 29 Nick Fortino 2009-10-08 04:18:05 UTC
(In reply to comment #28)
> amd64 ..... DONE!
> 
> You also want to do 
> =gnome-extra/deskbar-applet-2.26.2-r1
> Opening the preferences dialog crashes with the previous one...
> 

Is there supposed to be a copy of /usr/portage/app-text/evince/files/evince-0.3.1-dvi-64bit.patch.bak, or was that a mistake?

http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-text/evince/Manifest?r1=1.226&r2=1.227
Comment 30 Pacho Ramos gentoo-dev 2009-10-08 14:17:52 UTC
A newer evolution-sharp is needed to prevent:
!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

gnome-extra/evolution-data-server:0

  ('installed', '/', 'gnome-extra/evolution-data-server-2.24.5-r3', 'nomerge') pulled in by
    =gnome-extra/evolution-data-server-2.24* required by ('installed', '/', 'dev-dotnet/evolution-sharp-0.18.1', 'nomerge')
    (and 8 more)

  ('ebuild', '/', 'gnome-extra/evolution-data-server-2.26.3', 'merge') pulled in by
    >=gnome-extra/evolution-data-server-2.26.3 required by ('ebuild', '/', 'mail-client/evolution-2.26.3', 'merge')
    (and 8 more)


It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously. If such a conflict exists in the
dependencies of two different packages, then those packages can not be
installed simultaneously.

For more information, see MASKED PACKAGES section in the emerge man page
or refer to the Gentoo Handbook.

Maybe evolution-sharp-0.21.1 should be stabilized also
Comment 31 Mart Raudsepp gentoo-dev 2009-10-11 02:16:32 UTC
(In reply to comment #30)
> A newer evolution-sharp is needed to prevent:
> !!! Multiple package instances within a single package slot have been pulled
> !!! into the dependency graph, resulting in a slot conflict:

Please file a bug to the dotnet guys, I don't have any opinion of its stability, and they refused to stop using *-${PV}* dependencies in favour of >=${PV} when I last complained about issues like this happening.
Comment 32 Mart Raudsepp gentoo-dev 2009-10-11 02:27:17 UTC
Sorry, evolution-sharp stuff is already being handled in bug 288324, and even a blocker. I so should keep up with bug report mail on a daily basis.
Comment 33 Markus Meier gentoo-dev 2009-10-17 00:30:11 UTC
x86 stable
Comment 34 Rodrigo Saboya 2009-10-17 00:59:38 UTC
I don't know if this is the right place to do this, but:

x86 stabilization is missing AT LEAST these packages:

=gnome-base/gnome-control-center-2.26.0
=gnome-base/gnome-light-2.26.3
=dev-python/gnome-python-base-2.26.1
=dev-python/libgnomecanvas-python-2.26.1
=dev-python/gnome-vfs-python-2.26.1
=dev-python/gconf-python-2.26.1
=dev-python/libbonobo-python-2.26.1
=dev-python/libgnome-python-2.26.1
=dev-python/gnome-python-2.26.1
=dev-python/gnome-applets-python-2.26.0
=gnome-extra/deskbar-applet-2.26.2-r1

Update is on x86 is currently broken because of unmet dependencies. There are probably more.
Comment 35 Marek Kozlowski 2009-10-17 08:29:20 UTC
(In reply to comment #34)
> I don't know if this is the right place to do this, but:
> 
> x86 stabilization is missing AT LEAST these packages:
> 
> =gnome-base/gnome-control-center-2.26.0
> =gnome-base/gnome-light-2.26.3
> =dev-python/gnome-python-base-2.26.1
> =dev-python/libgnomecanvas-python-2.26.1
> =dev-python/gnome-vfs-python-2.26.1
> =dev-python/gconf-python-2.26.1
> =dev-python/libbonobo-python-2.26.1
> =dev-python/libgnome-python-2.26.1
> =dev-python/gnome-python-2.26.1
> =dev-python/gnome-applets-python-2.26.0
> =gnome-extra/deskbar-applet-2.26.2-r1
> 
> Update is on x86 is currently broken because of unmet dependencies. There are
> probably more.

Try 'emerge --sync' once again. My 'emerge -pvDuN world' lists all those packages...

Comment 36 Rodrigo Saboya 2009-10-17 13:57:50 UTC
(In reply to comment #35)
> (In reply to comment #34)
> 
> Try 'emerge --sync' once again. My 'emerge -pvDuN world' lists all those
> packages...
> 

It was fixed right after I made the comment. Thanks.
Comment 37 nixnut (RETIRED) gentoo-dev 2009-10-26 18:47:02 UTC
ppc stable (afaict)
Comment 38 Gilles Dartiguelongue gentoo-dev 2009-10-28 23:47:51 UTC
*** Bug 277502 has been marked as a duplicate of this bug. ***
Comment 39 Markus Meier gentoo-dev 2009-11-05 20:44:21 UTC
arm stable
Comment 40 Raúl Porcel (RETIRED) gentoo-dev 2009-11-28 19:10:53 UTC
alpha/ia64/sparc stable

Will have to look at sh soon
Comment 41 Brent Baude (RETIRED) gentoo-dev 2009-12-03 17:58:47 UTC
i believe ppc64 is done.
Comment 42 Raúl Porcel (RETIRED) gentoo-dev 2010-01-16 17:29:08 UTC
sh should be done...
Comment 43 Pacho Ramos gentoo-dev 2010-03-22 17:19:18 UTC
hppa seems the last, is there any bug blocking you?
Comment 44 Samuli Suominen gentoo-dev 2010-05-03 23:37:59 UTC
I can see bug 298454 here, can't hppa just skip this gnome-games version and go straight to 2.28?
Comment 45 Jeroen Roovers (RETIRED) gentoo-dev 2010-05-20 19:30:57 UTC
I am pretty certain that this isn't going to happen for HPPA.
Comment 46 Gilles Dartiguelongue gentoo-dev 2010-05-20 22:00:42 UTC
Last arch gone, closing.